Subject: euro in locales

From: [email-masked] (Keld J|rn Simonsen)
Date: Mon, 22 Sep 1997 21:55:28 +0200

"ISUNG.US.ORACLE.COM" writes:

> It might be an idea if we can achieve multi-locale environment at 
> POSIX in addition to the global locale model as like Distributed 
> Internationlization Services specification of X/Open which is in 
> snapshot state and kind of forgotten... 

We are working at achieving multi-locale support in WG20, in the new
project on i18n APIs, ISO 15435. we are looking at the X/Open specs
but X/Open actually recommended us to disregard their specs and
look at C++ instead, which we then are doing.

How would you solve the problem with multi-locale support?
In my mind we want the same program to run in an EU environment,
say in Ireland, and then in the USA or Canada, without any change
in the source. The difference is only in the locales. So there should
only be one locale in the Irish case,  with information that
two currencies should be displayed.

Keld